<!DOCTYPE html>
<html lang="{{ site.lang }}" dir="{{ site.dir }}">
  <head>
    <meta charset="UTF-8">
    <base href="{% base %}" />
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type">
    <meta content="width=device-width, initial-scale=1.0" name="viewport">
    <meta name="theme-color" content="white"/>
    <meta name="color-scheme" content="light"/>
    <meta name="referrer" content="strict-origin-when-cross-origin"/>

    {% comment %}
    No tenemos forma de hashear SASS aún, por lo que renovamos la caché
    aplicando la hora de compilación del sitio.  Es importante que los
    CSS se renueven cuando se regenera el sitio, porque pueden contener
    variables dinámicas (como personalización de colores y tipografía) o
    minificarse distinto dependiendo del contenido.
    {% endcomment %}
    <link href="assets/css/styles.css?{{ site.time | date: '%s' }}" rel="stylesheet">

    {% include_cached pack.html %}

    {% comment %}
    Agregar otras tipografías.  Esto hace que las tipografías se carguen
    lo más rápido posible y minimizar el tiempo en que se ven las del
    navegador.  En Firefox todavía no está soportado.

    Fork Awesome lleva la hora de generación para poder renovarlo si
    agregamos íconos nuevos, de lo contrario puede quedar cacheado para
    siempre y les visitantes van a ver íconos rotos.
    {% endcomment %}
    {% include_cached preload_font.html font='assets/fonts/forkawesome-webfont.woff2' %}

    <link rel="icon" type="image/svg+xml" href="public/favicon.svg">
    <link rel="alternate icon" href="public/favicon.ico">
    <link rel="mask-icon" href="public/favicon.svg" color="white">

    {% seo %}
    {% feed_meta %}

    {% if page.url == '/' %}
      {% for locale in site.locales %}
        <link rel="alternate" hreflang="{{ locale }}" href="../{{ locale }}/" />
      {% endfor %}

      <link rel="alternate" hreflang="x-default" href="../{{ site.default_locale }}/" />
    {% else %}
      {% for locale in page.locales %}
        <link rel="alternate" hreflang="{{ locale.collection }}" href="../{{ locale.url }}" />

        {% if locale.collection == site.default_locale %}
          <link rel="alternate" hreflang="x-default" href="../{{ locale.url }}" />
        {% endif %}
      {% endfor %}

      {% if site.locale == site.default_locale %}
        <link rel="alternate" hreflang="x-default" href="../{{ page.url }}" />
      {% endif %}
    {% endif %}

    {% for social_network in site.about.social_networks %}
      <link rel="me" href="{{ social_network }}" />
    {% endfor %}
  </head>
  <body>
    <div>
      <a href="#content" class="d-block sr-only sr-only-focusable">
        {{ site.i18n.accessibility.skip_to_content }}
      </a>

      {%- include_cached notification.html -%}
    </div>
    <div class="d-flex flex-column d-md-none">
        {% assign about = site.posts | find: 'layout', 'about' %}
        <div class="d-flex justify-content-between p-3 border-bottom">
          {% include about_site.html   
            title=about.title
            title_proyect=about.title_proyect
            src=about.image.path
          %}
        </div>

        {% include menu.html %}
    </div>
    <div class="d-flex vh-100">
      <div class="w-100 background-gray">
        <div class="w-100 navbar-fixed-top pt-2">
          {% include search.html 
            metadata=page.last_modified_at 
            title_post=page.title 
            link=page.url
            section=page.post.title
            section_home=page.post.section.title
          %}
        </div>
        <main class="background-gray" tabindex="-1" role="main" id="content" data-controller="scroll stock" data-per-page="100">
          <article class="container py-4">
            {{ content | markdownify }}
          </article>
          {% include footer.html %}
        </main>
      </div>
      <aside class="float-left w-30 navbar-fixed-top pt-3 d-md-block d-none">
        {% assign about = site.posts | find: 'layout', 'about' %}
        {% include about_site.html   
          title=about.title
          title_proyect=about.title_proyect
          src=about.image.path
        %}
        {% include menu.html %}
      </aside>
    </div>

     {% include_cached floating_alert.html %}
    {% assign theme = site.posts | find: 'layout', 'theme' %}
    {% if theme.testing == true %}
    <div>
      {% include_cached device_detector.html %}
    </div>
    {% endif %}
  </body>
</html>
